GNU bug report logs - #42887
28.0.50; Customize Group doesn't show/hide option on repeated clicking

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Stefan Kangas <stefan@HIDDEN>; dated Sun, 16 Aug 2020 14:03:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 7 Feb 2022 01:16:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 06 20:16:30 2022
Received: from localhost ([127.0.0.1]:40428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGsde-0004k5-Aw
	for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 20:16:30 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nGsdV-0004jj-Fv
 for 42887 <at> debbugs.gnu.org; Sun, 06 Feb 2022 20:16:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9E7NiUXQd2RlEMBKrxKcI9E+pZ0yMmt1INZPd/Sz4zc=; b=cfyWYrC4LVKI3uzIUMPP5KDLp0
 6G0vQ5jelm60gZ600BjYpINDKwXJWXS/iFbInM9WZk+u3a8XuH207MqNalpZdNvHUnJZYCxcC/HQG
 R3ptnRM4w8/H4xFkqoxvWtOMb8t1xGU3GNbsFpFW0pMYni6Ve5bQbKqtpuqoglyhdDik=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nGsdM-00023T-J5; Mon, 07 Feb 2022 02:16:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on
 repeated clicking
References: <CADwFkmnG3sKcgq5LPYYJpUippz+sztyjh-y8byNtDYaK33ZYeg@HIDDEN>
X-Now-Playing: Patrick Cowley & Jorge Socarras's _Catholic_: "Cars Collide"
Date: Mon, 07 Feb 2022 02:15:57 +0100
In-Reply-To: <CADwFkmnG3sKcgq5LPYYJpUippz+sztyjh-y8byNtDYaK33ZYeg@HIDDEN>
 (Stefan Kangas's message of "Sun, 16 Aug 2020 07:02:22 -0700")
Message-ID: <87v8xrzdbm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > Clicking with
 the mouse to show/hide the options in a custimize group > doesn't handle
 repeated
 clicks well. Steps to reproduce: > > 0. emacs -Q > 1. M-x customize-group
 RET mouse RET > 2. Click the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42887
Cc: 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Clicking with the mouse to show/hide the options in a custimize group
> doesn't handle repeated clicks well.  Steps to reproduce:
>
> 0. emacs -Q
> 1. M-x customize-group RET mouse RET
> 2. Click the arrow next to an option to expand it
> 3. [wait a second without moving the mouse cursor]
> 4. Click again
>
> Result: the option does not expand
>
> Expected result: the option expands

I'm unable to reproduce this in Emacs 29 on Debian/bullseye.  Are you
still seeing this problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 17 Nov 2020 12:07:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 17 07:07:49 2020
Received: from localhost ([127.0.0.1]:58615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kezm0-00010z-W7
	for submit <at> debbugs.gnu.org; Tue, 17 Nov 2020 07:07:49 -0500
Received: from mail-wm1-f54.google.com ([209.85.128.54]:56007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>) id 1kezlz-00010j-9A
 for 42887 <at> debbugs.gnu.org; Tue, 17 Nov 2020 07:07:47 -0500
Received: by mail-wm1-f54.google.com with SMTP id c9so2997146wml.5
 for <42887 <at> debbugs.gnu.org>; Tue, 17 Nov 2020 04:07:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=A3FXdF5Fo3DC0k2Hc90SWDDARMuMnr5vlcjLgjoOa48=;
 b=CLEr52i8w3t/lbk43yURL7i9Y+XnXkhMAKWoJsg7pfmX5gtjKyaD1Jf6a0b+x1HAai
 973SgfFKq68feOk7MVQiMsI1N19zHFn+UOkwnt9GwWdFrJ2/dJgK1IXoyS9n0Bhcp5oy
 JJV3s5Va9xIq9pTCgtrKOB4VPf02Vpr9JfQcGnIfTOJDEIIu/lxCUmr1kKcl9TFDwHQE
 OvGM12QbJeJG/5xe5J9aEzDIdgIKbhM+cT6owvMnLoVeyJdFQwC39cmYmtp73kDIZB6O
 0HKlOI8L2D9WlM2e2QcJX+NpuQhV9RhRiEa+JVsyRQhwWbgQGt7UYKrQZwQedmvEaQic
 Lhaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=A3FXdF5Fo3DC0k2Hc90SWDDARMuMnr5vlcjLgjoOa48=;
 b=cJhqU4Rj7B6XPmxSM8e+UEBhpEfnxIR3H4fz8Fd+WrI6oLARDHUNXgRBQIval/88d4
 FYOwzQq6S31cJhQUMPVTKPbvRwLq+Ez3qwZFx1y1kkFrevaskVNMrdgNj3mzNtNs04Wi
 z/l9riB5NWqyVfHH8S1Sbgj+bB3/2HZrxjzozK8k8pWRZTolqerokDzRjlEntzlZqr+b
 6V/GRyIGw38AM2q/CZs5lDBAto1jrWT9Gu/8di1PC9o1/eiCOPzq9+wK36CRbCewDTkU
 DzNkT5E4wi/eg5DCgbHY+o4I3rLqPmFMdT1lCcphkJtJkWY5eSTaBwuyqW5XtCCIp78e
 clEw==
X-Gm-Message-State: AOAM531vNOrEf9qhAgw/d7lWRIpocWcjHmpf7lx3IKP9DtFMBqHC9xa1
 DQiRbeNtgvZmX8wERXxzCFo1ZkhDwF9gAMQ3R+uy8n54IjET9A==
X-Google-Smtp-Source: ABdhPJyauNW34dhCvdDaSLpRHqc7URq/8SGHtJZ1JXTpQTsF0VyGJ2DXKIqgR2frJNA9ooQygPLWnTNdmOP4KOPey30=
X-Received: by 2002:a1c:bac1:: with SMTP id k184mr3921380wmf.76.1605614861352; 
 Tue, 17 Nov 2020 04:07:41 -0800 (PST)
MIME-Version: 1.0
References: <CABczVwex1vRWukYKDGWAegzLtHU=gROAD+Tguo+O4Xs6GrbfsA@HIDDEN>
 <CADwFkm=k5pUYaKs84ByPJLnz0PHa2drKSSxqfzb8KkTQPmkggw@HIDDEN>
 <CABczVwciqhLvNRupimYfdYKRCoxSCut=Tt9SzL5fCHe7jW2PrA@HIDDEN>
 <CADwFkmntsyEC1qvBEsJwwTJJ8PfG8GzKT=jp1cFzgT6FV1msjg@HIDDEN>
In-Reply-To: <CADwFkmntsyEC1qvBEsJwwTJJ8PfG8GzKT=jp1cFzgT6FV1msjg@HIDDEN>
From: Mauro Aranda <maurooaranda@HIDDEN>
Date: Tue, 17 Nov 2020 09:07:28 -0300
Message-ID: <CABczVwekFKMLt1z5WUbCpx=G08OCnKxRSQkH7ggXohO4q-+FVA@HIDDEN>
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on
 repeated clicking
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000075048605b44c57f7"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42887
Cc: Eli Zaretskii <eliz@HIDDEN>, 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000075048605b44c57f7
Content-Type: text/plain; charset="UTF-8"

Stefan Kangas <stefan@HIDDEN> writes:

> Mauro Aranda <maurooaranda@HIDDEN> writes:
>
>> Stefan Kangas <stefan@HIDDEN> writes:
>>
>>> Mauro Aranda <maurooaranda@HIDDEN> writes:
>>>
>>>> Only when I click "too fast" the option doesn't expand,
>>>
>>> That's different from what I'm seeing.  I can wait several seconds
>>> between clicks, and as long as I don't move the mouse cursor the option
>>> won't expand.
>>
>> I think I misunderstood your recipe.  Does an option that starts as
hidden
>> never expand for you in the recipe?
>
> No, it does expand on the first click.
>
> It will not expand on repeated clicks unless I move the mouse cursor
> between clicks.  The delay does not matter (except if I click too fast I
> see double-click events).

Then I definitely can't reproduce this.  Does it happen with mouse-1 and
mouse-2? I think you didn't mention that in your recipe.

> So I had a quick look, and the defun `custom-toggle-hide-variable' is
> called on the first click.  The option then correctly expands.
>
> But that function is not called on subsequent clicks.  After moving the
> mouse cursor and clicking, it seems to register again and
> `custom-toggle-hide-variable' is called.

custom-toggle-hide-variable is the :action function for the widget you
are clicking.  It should be called if
widget-button--check-and-call-button detects a mouse-1 or mouse-2 event
at that widget.  AFAIK, there are 2 reasons why it doesn't
call the :action function: either it gets a mouse-1 event and then a
mouse-movement event, returning t, or it doesn't think the button where
the mouse click ended is the same button where the mouse click started.
I.e., this evaluates to nil:
(and pos (eq (get-char-property pos 'button) button))
In this case, widget-button--check-and-call-button will return nil.

I suspect the former happens and not the latter, but I can't be sure.
Maybe you can test what's the return value of
widget-button--check-and-call-button.

--00000000000075048605b44c57f7
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN">ste=
fan@HIDDEN</a>&gt; writes:<br><br>&gt; Mauro Aranda &lt;<a href=3D"mail=
to:maurooaranda@HIDDEN">maurooaranda@HIDDEN</a>&gt; writes:<br>&gt;<b=
r>&gt;&gt; Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN">stefan@ma=
rxist.se</a>&gt; writes:<br>&gt;&gt;<br>&gt;&gt;&gt; Mauro Aranda &lt;<a hr=
ef=3D"mailto:maurooaranda@HIDDEN">maurooaranda@HIDDEN</a>&gt; writes:=
<br>&gt;&gt;&gt;<br>&gt;&gt;&gt;&gt; Only when I click &quot;too fast&quot;=
 the option doesn&#39;t expand,<br>&gt;&gt;&gt;<br>&gt;&gt;&gt; That&#39;s =
different from what I&#39;m seeing.=C2=A0 I can wait several seconds<br>&gt=
;&gt;&gt; between clicks, and as long as I don&#39;t move the mouse cursor =
the option<br>&gt;&gt;&gt; won&#39;t expand.<br>&gt;&gt;<br>&gt;&gt; I thin=
k I misunderstood your recipe.=C2=A0 Does an option that starts as hidden<b=
r>&gt;&gt; never expand for you in the recipe?<br>&gt;<br>&gt; No, it does =
expand on the first click.<br>&gt;<br>&gt; It will not expand on repeated c=
licks unless I move the mouse cursor<br>&gt; between clicks.=C2=A0 The dela=
y does not matter (except if I click too fast I<br>&gt; see double-click ev=
ents).<br><br>Then I definitely can&#39;t reproduce this.=C2=A0 Does it hap=
pen with mouse-1 and<br>mouse-2? I think you didn&#39;t mention that in you=
r recipe.<br><br>&gt; So I had a quick look, and the defun `custom-toggle-h=
ide-variable&#39; is<br>&gt; called on the first click.=C2=A0 The option th=
en correctly expands.<br>&gt;<br>&gt; But that function is not called on su=
bsequent clicks.=C2=A0 After moving the<br>&gt; mouse cursor and clicking, =
it seems to register again and<br>&gt; `custom-toggle-hide-variable&#39; is=
 called.<br><br>custom-toggle-hide-variable is the :action function for the=
 widget you<br>are clicking.=C2=A0 It should be called if<br>widget-button-=
-check-and-call-button detects a mouse-1 or mouse-2 event<br>at that widget=
.=C2=A0 AFAIK, there are 2 reasons why it doesn&#39;t<br>call the :action f=
unction: either it gets a mouse-1 event and then a<br>mouse-movement event,=
 returning t, or it doesn&#39;t think the button where<br>the mouse click e=
nded is the same button where the mouse click started.<br>I.e., this evalua=
tes to nil:<br>(and pos (eq (get-char-property pos &#39;button) button))<br=
>In this case, widget-button--check-and-call-button will return nil.<br><br=
>I suspect the former happens and not the latter, but I can&#39;t be sure.<=
br>Maybe you can test what&#39;s the return value of<br>widget-button--chec=
k-and-call-button.</div>

--00000000000075048605b44c57f7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 17 Nov 2020 11:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 17 06:48:43 2020
Received: from localhost ([127.0.0.1]:58503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kezTW-0000Tz-Qu
	for submit <at> debbugs.gnu.org; Tue, 17 Nov 2020 06:48:43 -0500
Received: from mail-ed1-f54.google.com ([209.85.208.54]:41952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kezTR-0000Tg-DE
 for 42887 <at> debbugs.gnu.org; Tue, 17 Nov 2020 06:48:41 -0500
Received: by mail-ed1-f54.google.com with SMTP id t9so22104925edq.8
 for <42887 <at> debbugs.gnu.org>; Tue, 17 Nov 2020 03:48:37 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=etjdiAxHwFokeJYZw7SQKPh5H1ch0Hifzo15UNC/pXM=;
 b=HqGT8MUblHc1VhFhmGsV8TP2RcCQiZwfLfYKTsUZTX7jRfh/HtxaVAiIZbtxEOfxCb
 vTKT+oMhjp3Ymjlw9bZpIcAoFAPC3eV6YmaRtAvFoiKj3oZEwGeUdSaB+07owqvtMSqZ
 pGlWhDau0vZ38bORs5DC7ktdNNFHr2yvNjQQOivxjGpdsArZxyhR3bspbfLCyE3Rpzkt
 UysVY4nuz0k2ZBhi1kXvlfYyt8BHDkIBg9WoYABI6mDGpiuMEeEw07+vWNXMwh2+KpLJ
 ZsuAK8/2AzwZK32AXZqrIy6b+NEhp75Wm9iX3D3df4xJqf+ZEsPtRuV+q1yP2XAdGj05
 Qqgw==
X-Gm-Message-State: AOAM531K8U/g11r5UppB8nWN/mA+1j5REzd5RG2NB5xcLhRCIRibDsgz
 1OwchghmTCsq3Q/23CzyLO6kAqFld7ZPKwO6RjA=
X-Google-Smtp-Source: ABdhPJyetQTbq9OcmGS45poaGsck7abStq9w9Fqk6A7/OigUct9X0HP2hsw6jUsxKl69s/E2ZEeQ2gxsfx6CdQ5k6vI=
X-Received: by 2002:a05:6402:3089:: with SMTP id
 de9mr20871091edb.100.1605613711678; 
 Tue, 17 Nov 2020 03:48:31 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 17 Nov 2020 03:48:30 -0800
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CABczVwciqhLvNRupimYfdYKRCoxSCut=Tt9SzL5fCHe7jW2PrA@HIDDEN>
References: <CABczVwex1vRWukYKDGWAegzLtHU=gROAD+Tguo+O4Xs6GrbfsA@HIDDEN>
 <CADwFkm=k5pUYaKs84ByPJLnz0PHa2drKSSxqfzb8KkTQPmkggw@HIDDEN>
 <CABczVwciqhLvNRupimYfdYKRCoxSCut=Tt9SzL5fCHe7jW2PrA@HIDDEN>
MIME-Version: 1.0
Date: Tue, 17 Nov 2020 03:48:30 -0800
Message-ID: <CADwFkmntsyEC1qvBEsJwwTJJ8PfG8GzKT=jp1cFzgT6FV1msjg@HIDDEN>
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on
 repeated clicking
To: Mauro Aranda <maurooaranda@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42887
Cc: Eli Zaretskii <eliz@HIDDEN>, 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Mauro Aranda <maurooaranda@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>> Mauro Aranda <maurooaranda@HIDDEN> writes:
>>
>>> Only when I click "too fast" the option doesn't expand,
>>
>> That's different from what I'm seeing.  I can wait several seconds
>> between clicks, and as long as I don't move the mouse cursor the option
>> won't expand.
>
> I think I misunderstood your recipe.  Does an option that starts as hidden
> never expand for you in the recipe?

No, it does expand on the first click.

It will not expand on repeated clicks unless I move the mouse cursor
between clicks.  The delay does not matter (except if I click too fast I
see double-click events).

So I had a quick look, and the defun `custom-toggle-hide-variable' is
called on the first click.  The option then correctly expands.

But that function is not called on subsequent clicks.  After moving the
mouse cursor and clicking, it seems to register again and
`custom-toggle-hide-variable' is called.

This is what I used to test this:

diff --git a/lisp/cus-edit.el b/lisp/cus-edit.el
index d1077d367d..86235f9fc0 100644
--- a/lisp/cus-edit.el
+++ b/lisp/cus-edit.el
@@ -2796,11 +2796,14 @@ custom-variable-value-create
 	  (custom-add-parent-links widget))
 	(custom-add-see-also widget)))))

+(defvar count 0)
 (defun custom-toggle-hide-variable (visibility-widget &rest _ignore)
   "Toggle the visibility of a `custom-variable' parent widget.
 By default, this signals an error if the parent has unsaved
 changes.  If the parent has a `simple' :custom-style property,
 the present value is saved to its :shown-value property instead."
+  (message "Click %s" count)
+  (setq count (1+ count))
   (let ((widget (widget-get visibility-widget :parent)))
     (unless (eq (widget-type widget) 'custom-variable)
       (error "Invalid widget type"))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 17 Nov 2020 11:25:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 17 06:25:40 2020
Received: from localhost ([127.0.0.1]:58481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kez7E-0006Du-53
	for submit <at> debbugs.gnu.org; Tue, 17 Nov 2020 06:25:40 -0500
Received: from mail-wr1-f48.google.com ([209.85.221.48]:40116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>) id 1kez7B-0006Dg-KG
 for 42887 <at> debbugs.gnu.org; Tue, 17 Nov 2020 06:25:38 -0500
Received: by mail-wr1-f48.google.com with SMTP id m6so5613736wrg.7
 for <42887 <at> debbugs.gnu.org>; Tue, 17 Nov 2020 03:25:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=E6UoFz3SP1ymGVTOa0q3nElen798q8cD5U2ulgRcb5Q=;
 b=gcpwHOrNETfYPtCPn48WvrwJ/M5QmDlrfJY6rhhJwIeqmReZY3RKs6jYmZNvIHMBMQ
 5gUEI2pJVDmWJ6aaq0vNHtGkcQCAj/5f6ZMONmKIKheI60sEbwT0ocMj6E/DpjwCis4z
 Q4+0B625XUzsvHKKuNkIyPVI701jBIlkSN92W2DuzyWYpk0/FISemL0OQFpeW3KMASto
 zkQlQpM3gjvj4BKxLa3InY2lNFOhCcaLol32JDCiWoH+J54XyuYn9CSd243VkLfHxfKn
 KgSPD0MHSeK/ksH6w9Blo19abQDI0uCvPhy48TMtdLUZq8whp5dSbWtnSPUlQA2XT0et
 A+iA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=E6UoFz3SP1ymGVTOa0q3nElen798q8cD5U2ulgRcb5Q=;
 b=R3po/ZxBfFsqbZp+iuXKWq9UEOVESU+1X5kfhzAuoU3o7wziqgyGcvGzxtV6jWjusv
 xoeJagXzQG5IAc4uQli2i2ELVzb9jDTwPhDYWcZ688PCFWfo+wRDrbc/77h/Uuqv9O9a
 GgwqbK71V+w41tvFirwP+PTPeGKAFAMgod+LJ5t1lq0m2WRqc36cbnvVAGCqvEwX01CD
 WWLxTaFkYt8CaVwUCwUJ7evY9Ul93wUoO31xAxwisJgbG4PB8/h7yFtX58z569Rn8qbQ
 gbPWBq9oomjSw2q/aMMW7d6LN54Dl6Dz52XZR0o8wCRWftZau8rkAJInZraw4qxrmh9G
 Pj+A==
X-Gm-Message-State: AOAM533U4RzzuKN1rZiv2dTXPyA7CFbiAqjWXOj2RSaa++hk74VNJH3b
 IqG7tN37iXYNNLUf4zdAzFtjJQufv5MdA+myXiNF7Yfa0Vw=
X-Google-Smtp-Source: ABdhPJyCEXHjUjJvKP/dcnb7ujhJdwxsi4w5cytldeQeWgQxjssI6NoMbt5lAd56UDIvjTb6jEsT7/mGn5RhqJpFJY4=
X-Received: by 2002:a5d:4d02:: with SMTP id z2mr16786507wrt.109.1605612331568; 
 Tue, 17 Nov 2020 03:25:31 -0800 (PST)
MIME-Version: 1.0
References: <CABczVwex1vRWukYKDGWAegzLtHU=gROAD+Tguo+O4Xs6GrbfsA@HIDDEN>
 <CADwFkm=k5pUYaKs84ByPJLnz0PHa2drKSSxqfzb8KkTQPmkggw@HIDDEN>
In-Reply-To: <CADwFkm=k5pUYaKs84ByPJLnz0PHa2drKSSxqfzb8KkTQPmkggw@HIDDEN>
From: Mauro Aranda <maurooaranda@HIDDEN>
Date: Tue, 17 Nov 2020 08:25:19 -0300
Message-ID: <CABczVwciqhLvNRupimYfdYKRCoxSCut=Tt9SzL5fCHe7jW2PrA@HIDDEN>
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on
 repeated clicking
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000ab934305b44bc0f3"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42887
Cc: Eli Zaretskii <eliz@HIDDEN>, 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ab934305b44bc0f3
Content-Type: text/plain; charset="UTF-8"

Stefan Kangas <stefan@HIDDEN> writes:

> Mauro Aranda <maurooaranda@HIDDEN> writes:
>
>> Only when I click "too fast" the option doesn't expand,
>
> That's different from what I'm seeing.  I can wait several seconds
> between clicks, and as long as I don't move the mouse cursor the option
> won't expand.

I think I misunderstood your recipe.  Does an option that starts as hidden
never expand for you in the recipe?

--000000000000ab934305b44bc0f3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN">ste=
fan@HIDDEN</a>&gt; writes:<br><br>&gt; Mauro Aranda &lt;<a href=3D"mail=
to:maurooaranda@HIDDEN">maurooaranda@HIDDEN</a>&gt; writes:<br>&gt;<b=
r>&gt;&gt; Only when I click &quot;too fast&quot; the option doesn&#39;t ex=
pand,<br>&gt;<br>&gt; That&#39;s different from what I&#39;m seeing.=C2=A0 =
I can wait several seconds<br>&gt; between clicks, and as long as I don&#39=
;t move the mouse cursor the option<br>&gt; won&#39;t expand.<br><br>I thin=
k I misunderstood your recipe.=C2=A0 Does an option that starts as hidden<b=
r>never expand for you in the recipe?</div>

--000000000000ab934305b44bc0f3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 14 Nov 2020 04:27:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 23:27:42 2020
Received: from localhost ([127.0.0.1]:49625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdnA6-0003zY-4A
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 23:27:42 -0500
Received: from pv50p00im-hyfv10011601.me.com ([17.58.6.43]:40661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsuucat@HIDDEN>) id 1kdnA4-0003zH-VO
 for 42887 <at> debbugs.gnu.org; Fri, 13 Nov 2020 23:27:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=icloud.com;
 s=1a1hai; t=1605328055;
 bh=GjFycIND0Lzw36w7zk7HgoU0KPKsRAK431mlGy1gFKA=;
 h=From:Content-Type:Mime-Version:Subject:Message-Id:Date:To;
 b=i6GLOTphhn4LU86HZpbWb1TZU3azlPY0OQnNVx1WA4lqbMh9iOFXqhAsWh5x7JqPz
 rtvYihk11HcvlbmIcG0MoE2ZcUu7RWA69feldzkW1DDtWBnWlNVmlusPy7opoEJE71
 NPg4QXh4PxiJaceFmTa/xNAzdZEc4jXIs6LCRxw7D53TsXPFPjovYevjAv9yITVQbi
 NtBWr7EUeZC7tGyekMlqJ3LaZ0olHqEkPsBVbLMU+NAZCQN/+w37hK2pBis2VF50jn
 PNsdwsZwfimW1lP9LOhINIcDlZbm7h2GpiL6zNIZeRKLoRurgOuhYZpFgBLKJW/XYt
 lanKeOOs2G+uA==
Received: from [192.168.129.26] (i114-186-197-142.s41.a008.ap.plala.or.jp
 [114.186.197.142])
 by pv50p00im-hyfv10011601.me.com (Postfix) with ESMTPSA id 834563803FE;
 Sat, 14 Nov 2020 04:27:34 +0000 (UTC)
From: tsuucat <tsuucat@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on 
 repeated clicking
Message-Id: <728EC782-434B-467B-BB10-000026765769@HIDDEN>
Date: Sat, 14 Nov 2020 13:27:32 +0900
To: stefan@HIDDEN
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.312, 18.0.737
 definitions=2020-11-14_01:2020-11-13,
 2020-11-14 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=1
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=546 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-2006250000 definitions=main-2011140027
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I reproduced "when I’m clicking too fast the option doesn't
    expand" in NS port. I traced the function widget-button--check-and-call-button
    and I confirmed that this function returns t if the option doesn't expand.
    the function’s (read-event) may be the cause. 
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (tsuucat[at]icloud.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [17.58.6.43 listed in wl.mailspike.net]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  2.1 FAKE_REPLY_B           No description available.
X-Debbugs-Envelope-To: 42887
Cc: 42887 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I reproduced "when I’m clicking too fast the option doesn't
    expand" in NS port. I traced the function widget-button--check-and-call-button
    and I confirmed that this function returns t if the option doesn't expand.
    the function’s (read-event) may be the cause. 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [17.58.6.43 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (tsuucat[at]icloud.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  2.1 FAKE_REPLY_B           No description available.

I reproduced "when I=E2=80=99m clicking too fast the option doesn't =
expand" in NS port.

I traced the function widget-button--check-and-call-button and I =
confirmed that=20
this function returns t if  the option doesn't expand.
the function=E2=80=99s (read-event) may be the cause.

--
tsuucat=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 13 Nov 2020 23:21:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 13 18:21:02 2020
Received: from localhost ([127.0.0.1]:49551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdiNK-00059s-Fm
	for submit <at> debbugs.gnu.org; Fri, 13 Nov 2020 18:21:02 -0500
Received: from mail-ej1-f53.google.com ([209.85.218.53]:39657)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kdiNH-000594-93
 for 42887 <at> debbugs.gnu.org; Fri, 13 Nov 2020 18:21:01 -0500
Received: by mail-ej1-f53.google.com with SMTP id s25so16116575ejy.6
 for <42887 <at> debbugs.gnu.org>; Fri, 13 Nov 2020 15:20:59 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=Slp5xDZU8C1G1lfMHu9Ul4zX26HInY5QUh5+BJs8NzY=;
 b=mtqfIZdUXEbZZshr+j2g7r2mKW1sgCd7/W4FYY/HNtHMrWXi83WRebHb/PfY4So3Ji
 vfZzjTCmz4cKSTZFp0b5U6S2EDAyDZsvUuMxASkoMgvMgzdemzUup46ommbR2ertZ6GV
 vZM6PLYzL1ao2TZTG3pYKyZwIyXlFMEqCgPYnJjfHSj3DAzXnufWLkfCrxPfrLGMmXyJ
 XAwKEKaeUImFaDJRf4TQZ/z8Thqo8FLEvtPwjBUUwH1iHj0eFzVGiAIklBOXhLBa3AHV
 GPxYIbVaMjVaB4AtsgtGJr+FtokFrj7ktEtZDjWRwRL1zYgzrD/YwNJ7v3nGI2z0QDgO
 vQUQ==
X-Gm-Message-State: AOAM532AIdxE13jvEV5UtX+NrWuJbJQ16B19O6KtzbMbXjfZW0XnNEaE
 3BqjSovkcd41d7cogfWBtlXqjGpzgPeLLqTk428=
X-Google-Smtp-Source: ABdhPJytYdEA+ilnx7zHyIO1dph28p9l1a1aGSh8zUbuRXGR2529u/RrhObLm9CSUF1bNlSx0cO06i1gjy0K+t+AMIM=
X-Received: by 2002:a17:906:4e90:: with SMTP id
 v16mr4528206eju.477.1605309653592; 
 Fri, 13 Nov 2020 15:20:53 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 13 Nov 2020 15:20:52 -0800
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CABczVwex1vRWukYKDGWAegzLtHU=gROAD+Tguo+O4Xs6GrbfsA@HIDDEN>
References: <CABczVwex1vRWukYKDGWAegzLtHU=gROAD+Tguo+O4Xs6GrbfsA@HIDDEN>
MIME-Version: 1.0
Date: Fri, 13 Nov 2020 15:20:52 -0800
Message-ID: <CADwFkm=k5pUYaKs84ByPJLnz0PHa2drKSSxqfzb8KkTQPmkggw@HIDDEN>
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on
 repeated clicking
To: Mauro Aranda <maurooaranda@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42887
Cc: Eli Zaretskii <eliz@HIDDEN>, 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Mauro Aranda <maurooaranda@HIDDEN> writes:

> Only when I click "too fast" the option doesn't expand,

That's different from what I'm seeing.  I can wait several seconds
between clicks, and as long as I don't move the mouse cursor the option
won't expand.

> but if I move the mouse, Emacs highlights a region, so I'm guessing
> that runs another command and not the whole widget-button-click
> command.  Does that happen to you as well?

After repeated clicking without moving the mouse, I can sometimes get it
to select a region.  I'm not sure if this is the same as what you're
seeing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 5 Sep 2020 12:54:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 05 08:54:22 2020
Received: from localhost ([127.0.0.1]:41803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEXi1-0006DE-St
	for submit <at> debbugs.gnu.org; Sat, 05 Sep 2020 08:54:22 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:38994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>) id 1kEXhp-0006Cr-PP
 for 42887 <at> debbugs.gnu.org; Sat, 05 Sep 2020 08:54:20 -0400
Received: by mail-wm1-f51.google.com with SMTP id b79so9169779wmb.4
 for <42887 <at> debbugs.gnu.org>; Sat, 05 Sep 2020 05:54:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=9MQk8sHgVbl7r16hNQa7J7tn8RPAaHLt5G8NcPN0IHM=;
 b=DpLd0uhuJfZhRN90+QgyzQAKbSifPIUkyzGqA3xUUhSoUfE58FgivO8hRDc5aCzuZP
 I9GYnlIK7mnYQiJ9v+EPo47FhNxusyPqmNOdbiHqvBf7AD0nsi9j8RK5UZmMyamn6m9/
 rE14qiVZKqv6BW0Bob2U7E9yjOY6VPkkPf0CC88+Dgd9/qKGT43ZVySyvpLUgrlGoYwF
 DsJic1NwDi7FmeXlTKh8BiSC/UZM68EIxbt2RZyMUsrM7ONvsdXoYVo+Ax0d2OtbCMZL
 +To9gtpZspdxy7G53Gwb35qD3+GLx+V8nlwP3evoQRVVT1AArxofOO9F5dfywgshg+Ok
 JBRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=9MQk8sHgVbl7r16hNQa7J7tn8RPAaHLt5G8NcPN0IHM=;
 b=em6ZJ+/BKjJ/nuSJC+hgXOoDCaxlAhPl/3wzS9JMXMLBSe7/EQ48M11RBoqWxcaAwA
 bQjx33kiPq36mHIIujrMNFe1PWJtkYPn7CNox74Q6PDD+zx7yugof6/vBoQCx4P29iQ0
 06b+YZDupeqRqmZeWyr1OkSxA2GPueI3B6EA4WTj6v472xLVok/Lci8Qk4jLCNo4KlIt
 jElmi+ETJ69wKjNjE47Q5H1XMZ3Hcf9K5koSRbHn5KIBmPBbprTb2X+YnCXWzrIJ/Dj9
 k0q0xEn4J0nuS78UjdbXdHB9DthY/IQuk/A1JPFDZD6pt9+DQguIg2GFvwlXVQum8Sp9
 drAQ==
X-Gm-Message-State: AOAM533B3NLmmVlGGb9SGgPu8IikCEpkxzpVKe+vnZnW7AAJ/uNliqtm
 yHu6qE3Ttm0WTGkKnxe8eymlEtHPOyt0e5+UszI=
X-Google-Smtp-Source: ABdhPJx8iT7YnSnw8o35olIdrYtFDmjJLCy+HeOPGyYgMVDxzQZSlN/m1jGseogab1fyc/x91FHalXTcOqstyGvnQ/o=
X-Received: by 2002:a1c:a9c2:: with SMTP id
 s185mr12460353wme.100.1599310444178; 
 Sat, 05 Sep 2020 05:54:04 -0700 (PDT)
MIME-Version: 1.0
From: Mauro Aranda <maurooaranda@HIDDEN>
Date: Sat, 5 Sep 2020 09:53:52 -0300
Message-ID: <CABczVwex1vRWukYKDGWAegzLtHU=gROAD+Tguo+O4Xs6GrbfsA@HIDDEN>
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on
 repeated clicking
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000e9313705ae907a8a"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42887
Cc: Eli Zaretskii <eliz@HIDDEN>, 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e9313705ae907a8a
Content-Type: text/plain; charset="UTF-8"

Stefan Kangas <stefan@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> Not reproducible here.  I guess this, too, is toolkit-dependent?
>
> I can reproduce this also using no toolkit, Lucid and motif.

I can't reproduce this either.  I used two builds: no-toolkit and GTK3.

Only when I click "too fast" the option doesn't expand, but if I move
the mouse, Emacs highlights a region, so I'm guessing that runs another
command and not the whole widget-button-click command.  Does that happen
to you as well?

--000000000000e9313705ae907a8a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Stefan Kangas &lt;<a href=3D"mailto:stefan@HIDDEN" tar=
get=3D"_blank">stefan@HIDDEN</a>&gt; writes:<br><br>&gt; Eli Zaretskii =
&lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt; =
writes:<br>&gt;<br>&gt;&gt; Not reproducible here.=C2=A0 I guess this, too,=
 is toolkit-dependent?<br>&gt;<br>&gt; I can reproduce this also using no t=
oolkit, Lucid and motif.<br><br>I can&#39;t reproduce this either.=C2=A0 I =
used two builds: no-toolkit and GTK3.<br><br>Only when I click &quot;too fa=
st&quot; the option doesn&#39;t expand, but if I move<br>the mouse, Emacs h=
ighlights a region, so I&#39;m guessing that runs another<br>command and no=
t the whole widget-button-click command.=C2=A0 Does that happen<br>to you a=
s well?</div>

--000000000000e9313705ae907a8a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.
Severity set to 'minor' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 17 Aug 2020 18:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 17 14:25:55 2020
Received: from localhost ([127.0.0.1]:33152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7jpT-0004sb-B9
	for submit <at> debbugs.gnu.org; Mon, 17 Aug 2020 14:25:55 -0400
Received: from mail-yb1-f172.google.com ([209.85.219.172]:43153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k7jpO-0004sL-Ba
 for 42887 <at> debbugs.gnu.org; Mon, 17 Aug 2020 14:25:54 -0400
Received: by mail-yb1-f172.google.com with SMTP id m200so9925757ybf.10
 for <42887 <at> debbugs.gnu.org>; Mon, 17 Aug 2020 11:25:50 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=KTV8Mrtg4EoPCY+rEgCAg1f0qbc8na9zun5g3EiTQPA=;
 b=AOuWx4ig/guoP122oWSELd6DSMVGY7/Nw8usoCu4TLsuTWappKIEJY5tfRlWNkHcGg
 pMPy6Mj00Njz0BgI1YPYXIVMRIcjTNWBwX7PedOspJdDeY74iK+Q8GKF1PS0BQQzPbNa
 J5+uV3ohJ4qiAgTsluxkd/znV+vd3g88mwCOja7jHnkZiO1RCy7H2ClePFuL3GjCzzuZ
 c2MAZN9bUz9hKHJCnemqfqG4ZoYCw/JaBCLzZbg7FO+XKZ0V0tM0BO/MtQqvk36jtrYK
 TpqqVuCUxLWbJQpRZHXdWFUl5fsutbYf6Tmf7zgK2ebC2jMTNzQEI96lpEXQ8gD9VwcL
 v8vw==
X-Gm-Message-State: AOAM5333hK/luTB0Rrm3P1OIoCjrYz7SwM4l7SSL5JvZ+mYCCiqFxO+4
 31p/dkPA/UegHZ40VNT5Rs6vbCMlqDU7aHqtzkU=
X-Google-Smtp-Source: ABdhPJxrz+Ufnq4ZqizH/VU+ezXVlU6knMf/LC+OcNCcFY14FTd1Kxpxr8YftGw05jNxFoZ8NLY/MuqVSsVJCcqlib4=
X-Received: by 2002:a25:7007:: with SMTP id l7mr21660742ybc.85.1597688744817; 
 Mon, 17 Aug 2020 11:25:44 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 17 Aug 2020 18:25:44 +0000
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83a6yuiqzl.fsf@HIDDEN>
References: <CADwFkmnG3sKcgq5LPYYJpUippz+sztyjh-y8byNtDYaK33ZYeg@HIDDEN>
 <83a6yuiqzl.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 17 Aug 2020 18:25:44 +0000
Message-ID: <CADwFkmnezUnQFYZtR0Ho8_zbOtJ==xEApSfPZcjDXZy2tT59_g@HIDDEN>
Subject: Re: bug#42887: 28.0.50; Customize Group doesn't show/hide option on
 repeated clicking
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42887
Cc: 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> Not reproducible here.  I guess this, too, is toolkit-dependent?

I can reproduce this also using no toolkit, Lucid and motif.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at 42887 <at> debbugs.gnu.org:


Received: (at 42887) by debbugs.gnu.org; 16 Aug 2020 14:51:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 16 10:51:34 2020
Received: from localhost ([127.0.0.1]:58157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7K0U-0000SI-2q
	for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 10:51:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k7K0T-0000S6-5C
 for 42887 <at> debbugs.gnu.org; Sun, 16 Aug 2020 10:51:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39685)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k7K0N-0006H9-Rl; Sun, 16 Aug 2020 10:51:27 -0400
Received: from [176.228.60.248] (port=2725 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k7K0N-0004OO-90; Sun, 16 Aug 2020 10:51:27 -0400
Date: Sun, 16 Aug 2020 17:51:10 +0300
Message-Id: <83a6yuiqzl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmnG3sKcgq5LPYYJpUippz+sztyjh-y8byNtDYaK33ZYeg@HIDDEN>
 (message from Stefan Kangas on Sun, 16 Aug 2020 07:02:22 -0700)
Subject: Re: bug#42887: 28.0.50;
 Customize Group doesn't show/hide option on repeated clicking
References: <CADwFkmnG3sKcgq5LPYYJpUippz+sztyjh-y8byNtDYaK33ZYeg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42887
Cc: 42887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 16 Aug 2020 07:02:22 -0700
> 
> Clicking with the mouse to show/hide the options in a custimize group
> doesn't handle repeated clicks well.  Steps to reproduce:
> 
> 0. emacs -Q
> 1. M-x customize-group RET mouse RET
> 2. Click the arrow next to an option to expand it
> 3. [wait a second without moving the mouse cursor]
> 4. Click again
> 
> Result: the option does not expand
> 
> Expected result: the option expands

Not reproducible here.  I guess this, too, is toolkit-dependent?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Aug 2020 14:02:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 16 10:02:32 2020
Received: from localhost ([127.0.0.1]:58066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7JF2-0007fW-9R
	for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 10:02:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:39598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k7JEx-0007fM-PZ
 for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 10:02:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42944)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1k7JEx-0001b7-IP
 for bug-gnu-emacs@HIDDEN; Sun, 16 Aug 2020 10:02:27 -0400
Received: from mail-yb1-f182.google.com ([209.85.219.182]:42573)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1k7JEu-00018j-3R
 for bug-gnu-emacs@HIDDEN; Sun, 16 Aug 2020 10:02:27 -0400
Received: by mail-yb1-f182.google.com with SMTP id a34so7945999ybj.9
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Aug 2020 07:02:23 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=tgYqL+ZdBi9nxbjO1romKsgQuF73wWFH+zM+GkTp1wo=;
 b=AL1aGygJNXp+gkgvKS+vvMhyMNZeKptYGrOnOtPdK4fgLKm5JunjwggSwXBfx1xesy
 SNGP9zxO/9CXxApnDNZ9Eta4NXvvRobL3UqVsi6RNKE9ZydYBZxMJ6Ii4BAGZLF5o/Bw
 nHvJxoib7RFFXzYilHQKkOT58tFGLWOA76VY8kRS42cWVigOM38MfvGPTQ2wghDC4KMg
 EFekIJNnRujGMIxSfytAlAHXgBi+8MDXJj1ROuX2z/2wGWj/+V5m/K9HhqevsXhIQzyb
 NYrLxyz2r1j2t4s7kaAZ/mcJhlAtsPSLEn3YssyVRLK6Z7csW3zZZ/i7XyYRgkC46zcN
 B8Ew==
X-Gm-Message-State: AOAM530WpepC0RB2gL4D5Og/DJsn2YwGlw8V1ZkhdwrSNBRjfveSQG2v
 NW1RsJedqp/KN35bEanwb+AuWTBwrN3VyRylU25FBLOO5GE=
X-Google-Smtp-Source: ABdhPJxwMv2Jj5okPd5cjDnI8XyhnlrkAD2gtIWqo5uv0Z696s1G5Rop1P8yUfwiqkSRl1SfkWEe1LH+1tjFD8E1vEQ=
X-Received: by 2002:a25:4ed7:: with SMTP id
 c206mr15617343ybb.129.1597586542782; 
 Sun, 16 Aug 2020 07:02:22 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 16 Aug 2020 07:02:22 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Sun, 16 Aug 2020 07:02:22 -0700
Message-ID: <CADwFkmnG3sKcgq5LPYYJpUippz+sztyjh-y8byNtDYaK33ZYeg@HIDDEN>
Subject: 28.0.50; Customize Group doesn't show/hide option on repeated clicking
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.219.182;
 envelope-from=stefankangas@HIDDEN; helo=mail-yb1-f182.google.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/16 10:02:23
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FORGED_FROMDOMAIN=1,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Clicking with the mouse to show/hide the options in a custimize group
doesn't handle repeated clicks well.  Steps to reproduce:

0. emacs -Q
1. M-x customize-group RET mouse RET
2. Click the arrow next to an option to expand it
3. [wait a second without moving the mouse cursor]
4. Click again

Result: the option does not expand

Expected result: the option expands


In GNU Emacs 28.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version
3.24.20, cairo version 1.16.0)
 of 2020-08-10 built on joffe
Repository revision: 52418648a47b48538c998b1b0a3be8110fff3fdf
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

Configured using:
 'configure --enable-checking=yes,glyphs --enable-check-lisp-object-type
 'CFLAGS=-O0 -g3'
 PKG_CONFIG_PATH=/home/skangas/usr/lib/pkgconfig:/home/skangas/usr/lib/pkgconfig:'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42887; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 7 Feb 2022 01:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.